# Invokes PearsonDS frm Excel

library(gsl)
library(PearsonDS)

args<-commandArgs(trailingOnly=T)

temp_file<-as.character(args[1])
f<-as.character(args[2])
x<-as.numeric(args[3])
mean<-as.numeric(args[4])
variance<-as.numeric(args[5])^2
skewness<-as.numeric(args[6])
kurtosis<-as.numeric(args[7])+3

moments <- c(mean,variance,skewness,kurtosis)

sink(temp_file,append=F,type="output")
if (f=="pearsonFitM") result <- as.numeric(pearsonFitM(moments=moments))
if (f=="dpearson") result <- dpearson(x,moments=moments)
if (f=="ppearson") result <- ppearson(x,moments=moments)
if (f=="qpearson") result <- qpearson(x,moments=moments)
if (f=="rpearson") result <- rpearson(x,moments=moments)
cat(result)
sink(NULL)